/*
 * Copyright 2014, Cloudwords, Inc.
 *
 * Licensed under the API LICENSE AGREEMENT, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.cloudwords.com/developers/license-1.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.cloudwords.api.client.resources;

import java.util.List;

/**
 * A workflow of a project, describing the order of work and review phases, the assignees and due dates.
 *
 * @author amadigan
 * @since 1.12.2
 */
public class ChangeOrderProjectWorkflow {
    private Language language;
    private String templateName;
    private String templateDescription;
    private CodeAndDisplay templateType;
    private List<ProjectWorkflowStep> steps;

    public Language getLanguage() {
        return language;
    }

    public void setLanguage(Language language) {
        this.language = language;
    }

    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    public String getTemplateDescription() {
        return templateDescription;
    }

    public void setTemplateDescription(String templateDescription) {
        this.templateDescription = templateDescription;
    }

    public List<ProjectWorkflowStep> getSteps() {
        return steps;
    }

    public void setSteps(List<ProjectWorkflowStep> steps) {
        this.steps = steps;
    }

    @Override
    public String toString() {
        return "ChangeOrderProjectWorkflow [language=" + language + ", templateName=" + templateName
                + ", templateDescription=" + templateDescription + ", templateType=" + templateType + ", steps="
                + steps + "]";
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((language == null) ? 0 : language.hashCode());
        result = prime * result + ((steps == null) ? 0 : steps.hashCode());
        result = prime * result + ((templateDescription == null) ? 0 : templateDescription.hashCode());
        result = prime * result + ((templateName == null) ? 0 : templateName.hashCode());
        result = prime * result + ((templateType == null) ? 0 : templateType.hashCode());
        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) return true;
        if (obj == null) return false;
        if (getClass() != obj.getClass()) return false;
        ChangeOrderProjectWorkflow other = (ChangeOrderProjectWorkflow)obj;
        if (language == null) {
            if (other.language != null) return false;
        } else if (!language.equals(other.language)) return false;
        if (steps == null) {
            if (other.steps != null) return false;
        } else if (!steps.equals(other.steps)) return false;
        if (templateDescription == null) {
            if (other.templateDescription != null) return false;
        } else if (!templateDescription.equals(other.templateDescription)) return false;
        if (templateName == null) {
            if (other.templateName != null) return false;
        } else if (!templateName.equals(other.templateName)) return false;
        if (templateType == null) {
            if (other.templateType != null) return false;
        } else if (!templateType.equals(other.templateType)) return false;
        return true;
    }

    public CodeAndDisplay getTemplateType() {
        return templateType;
    }

    public void setTemplateType(CodeAndDisplay templateType) {
        this.templateType = templateType;
    }
}
