/*
 * Copyright 2012, Cloudwords, Inc.
 *
 * Licensed under the API LICENSE AGREEMENT, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.cloudwords.com/developers/license-1.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.cloudwords.api.client.resources;

/**
 * Represents a {@link Customer} Department in a Cloudwords. Departments is a way to separate a Cloudwords {@link Customer} into groups of users.
 *
 * @author jonathansu
 * @since 1.4
 */
public class Department {
    
    private Integer id;
    private String name;
    private String path;

    public Integer getId() {
        return id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
    
    public String getName() {
        return name;
    }
    
    public void setName(String name) {
        this.name = name;
    }
    
    public String getPath() {
        return path;
    }
    
    public void setPath(String path) {
        this.path = path;
    }

    @Override
    public String toString() {
        return name != null?name.toString():"null";
    }
    
    @Override
    public boolean equals(Object object) {
        if (object != null && object instanceof Department && id != null) {
            return id.equals(((Department)object).id);
        }
        return false;
    }
    
    @Override
    public int hashCode() {
        return id == null?0:id.hashCode();
    }
}
