package com.cloudwords.api.client.resources;

import java.util.Date;

/**
 * Represents a request for translation request to translate the source content for a given Cloudwords
 * {@link Project} from the specified source {@link Language} to the specified target 
 * {@link Language}s without specifying a bid. 
 * A {@link TranslationRequest} can specify what {@link Vendor} to request translations from.
 * 
 * @author cchandr
 * @since feni
 */
public class TranslationRequest {

    protected Date createdDate;
    protected String description;
    protected boolean requiresBidding;
    protected boolean performMachineTranslation;
    
    public Date getCreatedDate() {
        return createdDate;
    }
    public void setCreatedDate(Date createdDate) {
        this.createdDate = createdDate;
    }
    public String getDescription() {
        return description;
    }
    public void setDescription(String description) {
        this.description = description;
    }
    public boolean isRequiresBidding() {
        return requiresBidding;
    }
    public void setRequiresBidding(boolean requiresBidding) {
        this.requiresBidding = requiresBidding;
    }
    public boolean isPerformMachineTranslation() {
        return performMachineTranslation;
    }
    public void setPerformMachineTranslation(boolean performMachineTranslation) {
        this.performMachineTranslation = performMachineTranslation;
    }
}
