/*
 * Copyright 2012, Cloudwords, Inc. Licensed under the API LICENSE AGREEMENT, Version 1.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of the License at
 * http://www.cloudwords.com/developers/license-1.0 Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language governing permissions and limitations under the
 * License.
 */
package com.cloudwords.api.client.resources;

/**
 * Represents a customer user or vendor in Cloudwords.
 * 
 * @author mpermana
 * @since 1.5
 */
public class UserOrVendor extends BaseResource {

    private User customerUser;
    private Vendor vendor;

    public User getCustomerUser() {
        return customerUser;
    }

    public void setCustomerUser(User customerUser) {
    	if (customerUser != null & customerUser.getId() != null) {
    		this.customerUser = customerUser;
    	}
    }

    public Vendor getVendor() {
        return vendor;
    }

    public void setVendor(Vendor vendor) {
    	if (vendor != null && vendor.getId() > 0) {
    		this.vendor = vendor;
    	}
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((customerUser == null) ? 0 : customerUser.hashCode());
        result = prime * result + ((vendor == null) ? 0 : vendor.hashCode());
        return result;
    }


    @Override
    public boolean equals(Object obj) {
        if (this == obj) return true;
        if (obj == null) return false;
        if (getClass() != obj.getClass()) return false;
        UserOrVendor other = (UserOrVendor)obj;
        if (customerUser == null) {
            if (other.customerUser != null) return false;
        } else if (!customerUser.equals(other.customerUser)) return false;
        if (vendor == null) {
            if (other.vendor != null) return false;
        } else if (!vendor.equals(other.vendor)) return false;
        return true;
    }

}
