package com.cloudwords.api.client.resources;

import java.math.BigDecimal;
import java.util.List;

/**
 * Represents a Translation Request for the Vendor Silo
 *
 * @author cchandr
 * @since feni
 */
public class VendorTranslationRequest extends TranslationRequest {

    private String rejectionReason;
    private CodeAndDisplay status;
    private List<BidItem> bidItems;
    private BigDecimal amount;
    
    public VendorTranslationRequest() {}
    
    public VendorTranslationRequest(boolean requiresBidding) {
        this.requiresBidding = requiresBidding;
    }
    
    public String getRejectionReason() {
        return rejectionReason;
    }
    public void setRejectionReason(String rejectionReason) {
        this.rejectionReason = rejectionReason;
    }
    public CodeAndDisplay getStatus() {
        return status;
    }
    public void setStatus(CodeAndDisplay status) {
        this.status = status;
    }
    public List<BidItem> getBidItems() {
        return bidItems;
    }
    public void setBidItems(List<BidItem> bidItems) {
        this.bidItems = bidItems;
    }
    public BigDecimal getAmount() {
        return amount;
    }
    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }
}
