/*
 * Copyright 2014, Cloudwords, Inc. Licensed under the API LICENSE AGREEMENT, Version 1.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of the License at
 * http://www.cloudwords.com/developers/license-1.0 Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language governing permissions and limitations under the
 * License.
 */
package com.cloudwords.api.client.resources;

import java.util.List;

/**
 * A step of a workflow template. Steps act as a container for multiple phases.
 * 
 * @author amadigan
 * @since 1.12.2
 */
public class WorkflowTemplateStep extends BaseResource {
    private int stepNumber;
    private String name;
    private List<WorkflowTemplatePhase> phases;

    public int getStepNumber() {
        return stepNumber;
    }

    public void setStepNumber(int stepNumber) {
        this.stepNumber = stepNumber;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<WorkflowTemplatePhase> getPhases() {
        return phases;
    }

    public void setPhases(List<WorkflowTemplatePhase> phases) {
        this.phases = phases;
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((name == null) ? 0 : name.hashCode());
        result = prime * result + ((phases == null) ? 0 : phases.hashCode());
        result = prime * result + stepNumber;
        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) return true;
        if (obj == null) return false;
        if (getClass() != obj.getClass()) return false;
        WorkflowTemplateStep other = (WorkflowTemplateStep)obj;
        if (name == null) {
            if (other.name != null) return false;
        } else if (!name.equals(other.name)) return false;
        if (phases == null) {
            if (other.phases != null) return false;
        } else if (!phases.equals(other.phases)) return false;
        if (stepNumber != other.stepNumber) return false;
        return true;
    }

}
